/*-------------------------------------------------------------------------+
| Copyright 2011 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.phoenix.product.tests;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

/**
 * The index of all test classes from the "Phoenix" product.
 * 
 */
@RunWith(Suite.class)
// @CodeFormatterOff
@SuiteClasses({ test.org.fortiss.af3.component.AllTests.class,
		test.org.fortiss.af3.exploration.smt.AllSMTTests.class,
		test.org.fortiss.af3.expression.AllTests.class,
		test.org.fortiss.af3.state.AllTests.class, // testInitializeSimulator and testIncorrectConnections
		test.org.fortiss.af3.state.ui.AllTests.class  }) 
// @CodeFormatterOn
public class AllTests {
	// empty class
}
